### Method

# Ide RecentProjects find_by_directory

#### Declaration

    gchar*
    ide_recent_projects_find_by_directory (
      IdeRecentProjects* self,
      const gchar* directory
    )

#### Description

No description available.

#### Parameters

`directory` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`
| No description available.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.